Package com.independentsoft.office.charts

# Class ScatterChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.ScatterChart

public class ScatterChart extends Chart
The Class ScatterChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScatterChart()`
  Instantiates a new scatter chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ScatterChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `List<ScatterChartSerie>`
  `getSeries()`
  Gets the series.
  `ScatterStyle`
  `getStyle()`
  Gets the style.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setStyle​(ScatterStyle style)`
  Sets the style.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScatterChart

    public ScatterChart()
    Instantiates a new scatter chart.

- ## Method Details

  - ### clone

    public ScatterChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getStyle

    public ScatterStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ScatterStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getSeries

    public List<ScatterChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors